/*
 * This file was generated by qdbusxml2cpp version 0.7
 * Command line was: qdbusxml2cpp -l Oscl::Qt::DBus::BlueZ::Mesh::Attention1::Server -i server.h -a adaptor dbus.xml
 *
 * qdbusxml2cpp is Copyright (C) 2015 The Qt Company Ltd.
 *
 * This was an auto-generated file.
 */

#ifndef ADAPTOR_H_1600720475
#define ADAPTOR_H_1600720475

#include <QtCore/QObject>
#include <QtDBus/QtDBus>
#include "contextapi.h"

class QByteArray;
template<class T> class QList;
template<class Key, class Value> class QMap;
class QString;
class QStringList;
class QVariant;

/*
 * Adaptor class for interface org.bluez.mesh.Attention1
 */
class Attention1Adaptor: public QDBusAbstractAdaptor {
    Q_OBJECT
    Q_CLASSINFO("D-Bus Interface", "org.bluez.mesh.Attention1");
    Q_CLASSINFO("D-Bus Introspection", ""
		"  <interface name=\"org.bluez.mesh.Attention1\">\n"
		"    <method name=\"SetTimer\">\n"
		"      <arg direction=\"in\" type=\"y\" name=\"element_index\"/>\n"
		"      <arg direction=\"in\" type=\"q\" name=\"timer\"/>\n"
		"    </method>\n"
		"    <method name=\"GetTimer\">\n"
		"      <arg direction=\"in\" type=\"q\" name=\"element\"/>\n"
		"      <arg direction=\"out\" type=\"q\" name=\"seconds\"/>\n"
		"    </method>\n"
		"  </interface>\n"
        ""
		);

	private:
		/** */
		Oscl::Qt::DBus::BlueZ::
		Mesh::Attention1::ContextApi&	_contextApi;

		/** */
		const QDBusConnection&	_bus;

	public:
		/** */
		Attention1Adaptor(
			Oscl::Qt::DBus::BlueZ::
			Mesh::Attention1::ContextApi&	contextApi,
			const QDBusConnection&			bus,
			QObject*						parent
			);

		/** */
		virtual ~Attention1Adaptor();

	public: // PROPERTIES

	public Q_SLOTS: // METHODS
		/** */
		ushort GetTimer(ushort element);

		/** */
		void SetTimer(
				uchar	element_index,
				ushort	timer
				);

	Q_SIGNALS: // SIGNALS
};

#endif
